- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Video\RotateFilter

class RotateFilter implements VideoFilterInterface

## Constants

ROTATE_90 |
ROTATE_180 |
ROTATE_270 |

## Methods

| __construct($angle, $priority) |
integer | getPriority() Returns the priority of the filter. |
Dimension | getAngle() |
array | apply(Video $video, VideoInterface $format) Applies the filter on the the Video media given an format. |

## Details

###
at line 30
`public __construct($angle, $priority)`

#### Parameters

| $angle |
| $priority |

###
at line 39
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 47
`public Dimension getAngle()`

#### Return Value

Dimension |

###
at line 55
`public array apply(Video $video, VideoInterface $format)`

Applies the filter on the the Video media given an format.

#### Parameters

Video | $video |
VideoInterface | $format |

#### Return Value

array | An array of arguments